<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ainfo_admin.php
| Author: Sveinung Skjerseth {Sveinungs}
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."ainfo_panel/infusion_db.php";

if (!checkrights("AINP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."ainfo_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ainfo_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ainfo_panel/locale/English.php";
}

$settings2 = dbarray(dbquery("SELECT * FROM ".DB_AINFO_PANEL));

if ($settings2['tinymce_enabled']) {
include "includes/tiny_mce.php";
} else {
	require_once INCLUDES."html_buttons_include.php";
}

if (!isset($_GET['step'])) { $_GET['step'] = ""; }

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "a_done") {
		$message = "".$locale['ainfo_01']."".$locale['ainfo_08'];
	} elseif ($_GET['status'] == "b_done") {
		$message = "".$locale['ainfo_02']."".$locale['ainfo_08'];
  } elseif ($_GET['status'] == "c_done") {
		$message = "".$locale['ainfo_03']."".$locale['ainfo_08'];
  } elseif ($_GET['status'] == "d_done") {
		$message = "".$locale['ainfo_04']."".$locale['ainfo_08'];
  } elseif ($_GET['status'] == "e_done") {
		$message = "".$locale['ainfo_05']."".$locale['ainfo_08'];
	} elseif ($_GET['status'] == "f_done") {
		$message = "".$locale['ainfo_06']."".$locale['ainfo_08'];	
  } elseif ($_GET['status'] == "s_done") {
		$message = "".$locale['ainfo_07']."".$locale['ainfo_08'];
  }
  if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

if (isset($_POST['save_a'])) {  
  $error = 0;
  $result = dbquery("UPDATE ".DB_AINFO_PANEL." SET
   a_title = '".stripinput($_POST['a_title'])."',
   a_content='".addslash($_POST['a_content'])."',
   a_visibility='".(isnum($_POST['a_visibility']) ? $_POST['a_visibility'] : "0")."'
   ");
  redirect(FUSION_SELF.$aidlink."&amp;status=a_done");
  }
else if (isset($_POST['save_b'])) {
  $error = 0;
  $result = dbquery("UPDATE ".DB_AINFO_PANEL." SET
   b_title = '".stripinput($_POST['b_title'])."',
   b_content='".addslash($_POST['b_content'])."',
   b_visibility='".(isnum($_POST['b_alt_visibility']) ? $_POST['b_alt_visibility'] : "0")."'
   ");
  redirect(FUSION_SELF.$aidlink."&amp;status=b_done");
  }
else if (isset($_POST['save_c'])) {
  $error = 0;
  $result = dbquery("UPDATE ".DB_AINFO_PANEL." SET
   c_title = '".stripinput($_POST['c_title'])."',
   c_content='".addslash($_POST['c_content'])."',
   c_visibility='".(isnum($_POST['c_alt_visibility']) ? $_POST['c_alt_visibility'] : "0")."'
   ");
  redirect(FUSION_SELF.$aidlink."&amp;status=c_done");
  }
else if (isset($_POST['save_d'])) {
  $error = 0;
  $result = dbquery("UPDATE ".DB_AINFO_PANEL." SET
   d_title = '".stripinput($_POST['d_title'])."',
   d_content='".addslash($_POST['d_content'])."',
   d_visibility='".(isnum($_POST['d_alt_visibility']) ? $_POST['d_alt_visibility'] : "0")."'
   ");
  redirect(FUSION_SELF.$aidlink."&amp;status=d_done");
  } 
else if (isset($_POST['save_e'])) {
  $error = 0;
  $result = dbquery("UPDATE ".DB_AINFO_PANEL." SET
   e_title = '".stripinput($_POST['e_title'])."',
   e_content='".addslash($_POST['e_content'])."',
   e_visibility='".(isnum($_POST['e_alt_visibility']) ? $_POST['e_alt_visibility'] : "0")."'
   ");
  redirect(FUSION_SELF.$aidlink."&amp;status=e_done");
}
else if (isset($_POST['save_f'])) {
  $error = 0;
  $result = dbquery("UPDATE ".DB_AINFO_PANEL." SET
   f_title = '".stripinput($_POST['f_title'])."',
   f_content='".addslash($_POST['f_content'])."',
   f_visibility='".(isnum($_POST['f_alt_visibility']) ? $_POST['f_alt_visibility'] : "0")."'
   ");
  redirect(FUSION_SELF.$aidlink."&amp;status=f_done");
}
else if (isset($_POST['save_s'])) {
  $error = 0;
  $result = dbquery("UPDATE ".DB_AINFO_PANEL." SET
  tinymce_enabled='".(isnum($_POST['tinymce_enabled']) ? $_POST['tinymce_enabled'] : "0")."',
  history_enabled='".(isnum($_POST['history_enabled']) ? $_POST['history_enabled'] : "0")."',
  effects_enabled='".(isnum($_POST['effects_enabled']) ? $_POST['effects_enabled'] : "0")."'
   ");
  redirect(FUSION_SELF.$aidlink."&amp;status=s_done");
}

if (isset($_GET['action']) && $_GET['action'] == "preview"){
			echo "<div class='admin-message'>".$locale['ainfo_004']."</div>\n";
			@include INFUSIONS."ainfo_panel/ainfo_panel.php";
}
       
function create_options($selected, $hide=array(), $off=false) {
				global $locale; $option_list = ""; $options = getusergroups();
				while(list($key, $option) = each($options)){
						$sel = ($selected == $option['0'] ? " selected='selected'" : "");
						$option_list .= "<option value='".$option['0']."'$sel>".$option['1']."</option>\n";
				}
				return $option_list;
			}


opentable($locale['ainfo_002']);
echo "<table cellpadding='0' cellspacing='0' class='center tbl-border'>\n<tr>\n";
echo "<td class='tbl1' style='padding: 5px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;step=1' title='".$settings2['a_title']."'>1 - ".$settings2['a_title']."</a></td>";
echo "<td class='tbl2' style='padding: 5px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;step=2' title='".$settings2['b_title']."'>2 - ".$settings2['b_title']."</a></td>";
echo "<td class='tbl1' style='padding: 5px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;step=3' title='".$settings2['c_title']."'>3 - ".$settings2['c_title']."</a></td>";
echo "<td class='tbl2' style='padding: 5px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;step=4' title='".$settings2['d_title']."'>4 - ".$settings2['d_title']."</a></td>";
echo "<td class='tbl1' style='padding: 5px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;step=5' title='".$settings2['e_title']."'>5 - ".$settings2['e_title']."</a></td>";
echo "<td class='tbl2' style='padding: 5px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;step=6' title='".$settings2['f_title']."'>6 - ".$settings2['f_title']."</a></td>";
echo "<td class='tbl1' style='padding: 5px 10px;'><a href='".FUSION_SELF.$aidlink."&amp;step=7' title='".$locale['ainfo_09']."'>".$locale['ainfo_09']."</a></td></tr>";
echo "<tr><td class='tbl1' align='center' colspan='7'>[";
if ($_GET['step'] != "") {
echo "<a href='".FUSION_SELF.$aidlink."&amp;action=preview' onclick='return Rprev();'>".$locale['ainfo_10']."</a>";
} else {
echo "<a href='".FUSION_SELF.$aidlink."&amp;action=preview'>".$locale['ainfo_10']."</a>";
}
echo "]</td></tr></table>\n";
closetable();

echo "<div style='width:640px; margin:auto;'>\n";

if ($_GET['step'] == "1") {
opentable("".$locale['ainfo_003']."".$locale['ainfo_01']);
echo "<form name='a_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<div align='center' class='tbl'>\n";
echo "<div class='tbl'>".$locale['ainfo_011']." <input type='text' name='a_title' value='".$settings2['a_title']."' class='textbox' style='width:120px;' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_010']."</div>\n";
echo "<div><textarea name='a_content' cols='70' rows='12' class='textbox'>".stripslashes($settings2['a_content'])."</textarea><br />\n";
if (!$settings2['tinymce_enabled']) {
echo display_html("a_form", "a_content", true)."<br /><br />\n";
}
echo "</div><div>".$locale['ainfo_013']." <select name='a_visibility' class='textbox' style='width:150px;'>\n".create_options($settings2['a_visibility'], array(0), true)."</select></div>\n";
echo "<div><input type='submit' name='save_a' value='".$locale['ainfo_014']."' class='button' />\n";
echo "</div></div>\n</form>\n";
closetable();
}

if ($_GET['step'] == "2") {
opentable("".$locale['ainfo_003']."".$locale['ainfo_02']);
echo "<form name='b_form' method='post' action='".FUSION_SELF.$aidlink."' >\n";
echo "<div align='center' class='tbl'>\n";
echo "<div class='tbl'>".$locale['ainfo_011']." <input type='text' name='b_title' value='".$settings2['b_title']."' class='textbox' style='width:120px;' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_010']."</div>\n";
echo "<div><textarea name='b_content' cols='70' rows='12' class='textbox'>".stripslashes($settings2['b_content'])."</textarea><br />\n";
if (!$settings2['tinymce_enabled']) {
echo display_html("b_form", "b_content", true)."<br /><br />\n";
}
echo "</div><div>".$locale['ainfo_013']." <select name='b_alt_visibility' class='textbox' style='width:150px;'>\n".create_options($settings2['b_visibility'], array(0), true)."</select></div>\n";
echo "<input type='submit' name='save_b' value='".$locale['ainfo_014']."' class='button' />\n";
echo "</div>\n</form>\n";
closetable();
}

if ($_GET['step'] == "3") {
opentable("".$locale['ainfo_003']."".$locale['ainfo_03']);
echo "<form name='c_form' method='post' action='".FUSION_SELF.$aidlink."' >\n";
echo "<div align='center' class='tbl'>\n";
echo "<div class='tbl'>".$locale['ainfo_011']." <input type='text' name='c_title' value='".$settings2['c_title']."' class='textbox' style='width:120px;' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_010']."</div>\n";
echo "<div><textarea name='c_content' cols='70' rows='12' class='textbox'>".stripslashes($settings2['c_content'])."</textarea><br />\n";
if (!$settings2['tinymce_enabled']) {
echo display_html("c_form", "c_content", true)."<br /><br />\n";
}
echo "</div><div>".$locale['ainfo_013']." <select name='c_alt_visibility' class='textbox' style='width:150px;'>\n".create_options($settings2['c_visibility'], array(0), true)."</select></div>\n";
echo "<input type='submit' name='save_c' value='".$locale['ainfo_014']."' class='button' />\n";
echo "</div>\n</form>\n";
closetable();
}

if ($_GET['step'] == "4") {
opentable("".$locale['ainfo_003']."".$locale['ainfo_04']);
echo "<form name='d_form' method='post' action='".FUSION_SELF.$aidlink."' >\n";
echo "<div align='center' class='tbl'>\n";
echo "<div class='tbl'>".$locale['ainfo_011']." <input type='text' name='d_title' value='".$settings2['d_title']."' class='textbox' style='width:120px;' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_010']."</div>\n";
echo "<div><textarea name='d_content' cols='70' rows='12' class='textbox'>".stripslashes($settings2['d_content'])."</textarea><br />\n";
if (!$settings2['tinymce_enabled']) {
echo display_html("d_form", "d_content", true)."<br /><br />\n";
}
echo "</div><div>".$locale['ainfo_013']." <select name='d_alt_visibility' class='textbox' style='width:150px;'>\n".create_options($settings2['d_visibility'], array(0), true)."</select></div>\n";
echo "<input type='submit' name='save_d' value='".$locale['ainfo_014']."' class='button' />\n";
echo "</div>\n</form>\n";
closetable();
}

if ($_GET['step'] == "5") {
opentable("".$locale['ainfo_003']."".$locale['ainfo_05']);
echo "<form name='e_form' method='post' action='".FUSION_SELF.$aidlink."' >\n";
echo "<div align='center' class='tbl'>\n";
echo "<div class='tbl'>".$locale['ainfo_011']." <input type='text' name='e_title' value='".$settings2['e_title']."' class='textbox' style='width:120px;' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_010']."</div>\n";
echo "<div><textarea name='e_content' cols='70' rows='12' class='textbox'>".stripslashes($settings2['e_content'])."</textarea><br />\n";
if (!$settings2['tinymce_enabled']) {
echo display_html("e_form", "e_content", true)."<br /><br />\n";
}
echo "</div>\n<div>".$locale['ainfo_013']." <select name='e_alt_visibility' class='textbox' style='width:150px;'>\n".create_options($settings2['e_visibility'], array(0), true)."</select></div>\n";
echo "<input type='submit' name='save_e' value='".$locale['ainfo_014']."' class='button' />\n";
echo "</div>\n</form>\n";
closetable();
}
if ($_GET['step'] == "6") {
opentable("".$locale['ainfo_003']."".$locale['ainfo_06']);
echo "<form name='f_form' method='post' action='".FUSION_SELF.$aidlink."' >\n";
echo "<div align='center' class='tbl'>\n";
echo "<div class='tbl'>".$locale['ainfo_011']." <input type='text' name='f_title' value='".$settings2['f_title']."' class='textbox' style='width:120px;' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_010']."</div>\n";
echo "<div><textarea name='f_content' cols='70' rows='12' class='textbox'>".stripslashes($settings2['f_content'])."</textarea><br />\n";
if (!$settings2['tinymce_enabled']) {
echo display_html("f_form", "f_content", true)."<br /><br />\n";
}
echo "</div>\n<div>".$locale['ainfo_013']." <select name='f_alt_visibility' class='textbox' style='width:150px;'>\n".create_options($settings2['f_visibility'], array(0), true)."</select></div>\n";
echo "<input type='submit' name='save_f' value='".$locale['ainfo_014']."' class='button' />\n";
echo "</div>\n</form>\n";
closetable();
}

if ($_GET['step'] == "7") {
opentable($locale['ainfo_09']);
echo "<form name='s_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<div align='left' class='tbl'>\n";
echo "<div class='tbl'>".$locale['ainfo_020']."";
echo "<select name='tinymce_enabled' class='textbox'>\n";
echo "<option value='1'".($settings2['tinymce_enabled'] == "1" ? " selected='selected'" : "").">".$locale['ainfo_yes']."</option>\n";
echo "<option value='0'".($settings2['tinymce_enabled'] == "0" ? " selected='selected'" : "").">".$locale['ainfo_no']."</option>\n";
echo "</select> <img src='img/help.png' alt='[?]' title='".$locale['ainfo_021']."' border='0' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_022']."";
echo "<select name='history_enabled' class='textbox'>\n";
echo "<option value='1'".($settings2['history_enabled'] == "1" ? " selected='selected'" : "").">".$locale['ainfo_yes']."</option>\n";
echo "<option value='0'".($settings2['history_enabled'] == "0" ? " selected='selected'" : "").">".$locale['ainfo_no']."</option>\n";
echo "</select> <img src='img/help.png' alt='[?]' title='".$locale['ainfo_023']."' border='0' /></div>\n";
echo "<div class='tbl'>".$locale['ainfo_024']."";
echo "<select name='effects_enabled' class='textbox'>\n";
echo "<option value='1'".($settings2['effects_enabled'] == "1" ? " selected='selected'" : "").">".$locale['ainfo_yes']."</option>\n";
echo "<option value='0'".($settings2['effects_enabled'] == "0" ? " selected='selected'" : "").">".$locale['ainfo_no']."</option>\n";
echo "</select> <img src='img/help.png' alt='[?]' title='".$locale['ainfo_025']."' border='0' /></div>\n";
echo "<div style='text-align:center;'><input type='submit' name='save_s' value='".$locale['ainfo_014']."' class='button' /></div>\n";
echo "</div>\n</form>\n";
echo "<br />\n<br />\n";
echo "<fieldset>
        <legend>".$locale['ainfo_026']."</legend>
         <p><strong>".$locale['ainfo_07'].":</strong> ".$locale['ainfo_027']." <img src='img/help.png' alt='[?]' border='0' /> ".$locale['ainfo_028']."</p>
         <p><strong>".$locale['ainfo_010']."</strong> ".$locale['ainfo_029']."</p>
      </fieldset>";
echo "<fieldset>
        <legend>".$locale['ainfo_040']."</legend>
         <p><strong>aInfopanel ".$locale['ainfo_version']."</strong> by Sveinung Skj&aelig;rseth. <br />Email: <a href='mailto:180372@gmail.com'>180372@gmail.com</a> | www: <a target='_blank' href='http://yafs.net'>Yafs.net</a><br /> - an infusion for <a target='_blank' href='http://www.php-fusion.co.uk/'>PHP-Fusion</a> v7 copyright &copy; 2002 - 2008 by Nick Jones. Released as free software without warranties under <a target='_blank' href='http://www.fsf.org/licensing/licenses/agpl-3.0.html'>GNU Affero GPL v3</a>.</p>         
         <p><strong>Tabs:</strong> - jQuery plugin for accessible, unobtrusive tabs<br /> @requires jQuery v1.1.1 or above<br /> <a target='_blank' href='http://stilbuero.de/tabs/'>http://stilbuero.de/tabs/</a><br /> Copyright (c) 2006 Klaus Hartl (stilbuero.de)<br /> Dual licensed under the MIT and GPL licenses:<br /> http://www.opensource.org/licenses/mit-license.php<br /> http://www.gnu.org/licenses/gpl.html<br /> Version: 2.7.4<br /></p>   
      </fieldset>";   
closetable();
}

echo "</div>";

echo "<script type='text/javascript'>function Rprev() {return confirm('".$locale['ainfo_js01']."');}</script>\n";
	
require_once THEMES."templates/footer.php";
?>